package nc.lic.toolkit;

import java.io.File;
import java.io.FileInputStream;
import java.io.UnsupportedEncodingException;
import java.util.Locale;
import java.util.Properties;
import nc.lic.toolkit.LicToolKit;

public class ProductCodeToName {

   private static ProductCodeToName instance = null;
   private Properties codeToNameProps = null;
   private Locale currLocale = null;


   public static ProductCodeToName getInstance() {
      if(instance == null) {
         Class var0 = ProductCodeToName.class;
         synchronized(ProductCodeToName.class) {
            if(instance == null) {
               instance = new ProductCodeToName();
               instance.currLocale = Locale.getDefault();
            }
         }
      }

      return instance;
   }

   private boolean checkLoacleChanged() {
      return !Locale.getDefault().equals(this.currLocale);
   }

   private synchronized Properties getCodeToNameProps() {
      if(this.checkLoacleChanged() && this.codeToNameProps != null) {
         this.codeToNameProps.clear();
         this.codeToNameProps = null;
         instance.currLocale = Locale.getDefault();
      }

      if(this.codeToNameProps == null) {
         this.codeToNameProps = new Properties();

         try {
            String ncHome = LicToolKit.getNcHome();
            String filePath = "bin/product.property";
            File file = new File(ncHome, filePath);
            if(Locale.ENGLISH.equals(Locale.getDefault())) {
               filePath = "bin/product_en.property";
               if((new File(ncHome, filePath)).exists()) {
                  file = new File(ncHome, filePath);
               }
            }

            if(file.exists()) {
               try {
                  FileInputStream e = new FileInputStream(file);
                  this.codeToNameProps.load(e);
               } catch (Exception var5) {
                  var5.printStackTrace();
               }
            }
         } catch (Exception var6) {
            ;
         }
      }

      return this.codeToNameProps;
   }

   public String getProductNameFromCode(String code) {
      if(this.getCodeToNameProps() != null && code != null) {
         String name = this.getCodeToNameProps().getProperty(code, code);

         try {
            name = new String(name.getBytes("ISO-8859-1"), "GBK");
         } catch (UnsupportedEncodingException var4) {
            var4.printStackTrace();
         }

         return name;
      } else {
         return code;
      }
   }

   public static void main(String[] args) {
      Properties codeToNameProps1 = new Properties();
      Properties codeToNameProps2 = new Properties();
      Properties fin = new Properties();

      try {
         String ncHome = "G:\\nccloud\\uapServer_uapfw\\uap_special\\";
         String filePath1 = "bin/product.property";
         File file1 = new File(ncHome, filePath1);
         String filePath2 = "bin/product_en.property";
         File file2 = new File(ncHome, filePath2);

         try {
            FileInputStream e = new FileInputStream(file1);
            FileInputStream in2 = new FileInputStream(file2);
            codeToNameProps1.load(e);
            fin.putAll(codeToNameProps1);
            codeToNameProps2.load(in2);
            fin.putAll(codeToNameProps2);
         } catch (Exception var11) {
            var11.printStackTrace();
         }

         System.out.println(fin);
      } catch (Exception var12) {
         ;
      }

   }

}
